Bug 1550737 - unable to view quotas without manage quota permissoin being enabled in 5.8.2
Summary: unable to view quotas without manage quota permissoin being enabled in 5.8.2
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.8.0
Hardware: All
OS: All
medium
medium
Target Milestone: GA
: 5.8.4
Assignee: Gregg Tanzillo
QA Contact: Anurag
URL:
Whiteboard:
Keywords: ZStream
Depends On: 1535556
Blocks: 1551709
TreeView+ depends on / blocked
 
Reported: 2018-03-01 22:45 UTC by Satoe Imaishi
Modified: 2018-06-25 14:18 UTC (History)
9 users (show)

(edit)
Clone Of: 1535556
(edit)
Last Closed: 2018-06-25 14:17:44 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:18 UTC

Comment 2 CFME Bot 2018-03-01 22:51:24 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/c9069c107c1da93f08827be4f3428da0dbf437c3

commit c9069c107c1da93f08827be4f3428da0dbf437c3
Author:     Alberto Bellotti <abellotti@users.noreply.github.com>
AuthorDate: Tue Jan 23 11:07:38 2018 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Mar 1 17:45:37 2018 -0500

    Merge pull request #283 from jntullo/quota_product_features
    
    Allow read-only access to quotas subcollection
    (cherry picked from commit 9f9f4ee94265c35dff43392725517dca19ac7d48)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1550737

 config/api.yml                          | 17 ++++++++++++++++-
 spec/requests/api/tenant_quotas_spec.rb |  4 ++--
 2 files changed, 18 insertions(+), 3 deletions(-)

Comment 4 Anurag 2018-04-30 06:31:44 UTC
Hi Team,

This feature is working fine and I have verified it on Version 5.8.4.2.20180424224202_be9b69f hence changing the status of BZ from on_qa to Verfied. Thanks for fixing this issue.

Thanks,
-Anurag

Comment 6 errata-xmlrpc 2018-06-25 14:17:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.